=== debian/changelog ===
tipqalc (0.5.0-7) unstable; urgency=low

  * Show or hide tax line inputs based on user settings.
  * Start adding rounding functions (hidden for now).
  * Improvements to about dialog.

 -- ianaré sévi <ianare@gmail.com>  Mon, 29 Mar 2010 01:12:26 -0400 
 
