=== debian/changelog ===
tipqalc (0.6.0-3) unstable; urgency=low

  * Fix major instability bug.
  * Add larger icon to about dialog

 -- ianaré sévi <ianare@gmail.com>  Fri, 09 Apr 2010 23:17:24 -0400 
 
