## tipqalc 0.7.0

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: ../build/tipqalc
-# Generated by qmake (2.01a) (Qt 4.5.3) on: Fri Apr 9 23:12:36 2010
+# Generated by qmake (2.01a) (Qt 4.5.3) on: Sun Apr 11 03:31:58 2010
 # Project:  TipQalc.pro
 # Template: app
 # Command: /home/ianare/.madde/0.6.14/targets/fremantle-qt-0951/bin/qmake -unix -o Makefile TipQalc.pro
