=== debian/changelog ===
tipqalc (0.7.0) unstable; urgency=low

  * Add tip & tax rounding functionality.
  * Add weighted and to nearest quarter rounding.
  * Show actual tip percentage when rounding.
  * Show formatted results.
  * Improvements to large icon.

 -- ianaré sévi <ianare@gmail.com>  Sun, 11 Apr 2010 03:34:13 -0400 
