## tipqalc 0.7.1

=== src/Makefile ===
#############################################################################
# Makefile for building: ../build/tipqalc
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Apr 19 21:29:01 2010
# Project:  TipQalc.pro
# Template: app
# Command: /home/ianare/qtsdk-2010.02/qt/bin/qmake -spec ../../../../qtsdk-2010.02/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o Makefile TipQalc.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I../../../../qtsdk-2010.02/qt/mkspecs/linux-g++-64 -I. -I../../../../qtsdk-2010.02/qt/include/QtCore -I../../../../qtsdk-2010.02/qt/include/QtGui -I../../../../qtsdk-2010.02/qt/include -I../build -I../build
LINK          = g++
LFLAGS        = -m64 -Wl,-rpath,/home/ianare/qtsdk-2010.02/qt/lib
LIBS          = $(SUBLIBS)  -L/home/ianare/qtsdk-2010.02/qt/lib -lQtGui -L/home/ianare/qtsdk-2010.02/qt/lib -L/usr/X11R6/lib64 -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/ianare/qtsdk-2010.02/qt/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ../build/

####### Files

SOURCES       = main.cpp \
		tipqalc.cpp \
		numberpad.cpp \
		settingsdialog.cpp \
		aboutdialog.cpp ../build/moc_tipqalc.cpp \
		../build/moc_numberpad.cpp \
		../build/moc_settingsdialog.cpp \
		../build/moc_aboutdialog.cpp \
		qrc_resources.cpp
OBJECTS       = ../build/main.o \
		../build/tipqalc.o \
		../build/numberpad.o \
		../build/settingsdialog.o \
		../build/aboutdialog.o \
		../build/moc_tipqalc.o \
		../build/moc_numberpad.o \
		../build/moc_settingsdialog.o \
		../build/moc_aboutdialog.o \
		../build/qrc_resources.o
DIST          = ../../../../qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		../../../../qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		../../../../qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		../../../../qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		../../../../qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		TipQalc.pro
QMAKE_TARGET  = tipqalc
DESTDIR       = ../build/
TARGET        = ../build/tipqalc

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ../build/ui_tipqalc.h ../build/ui_numberpad.h ../build/ui_settingsdialog.h ../build/ui_aboutdialog.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../build/ || $(MKDIR) ../build/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: TipQalc.pro  ../../../../qtsdk-2010.02/qt/mkspecs/linux-g++-64/qmake.conf ../../../../qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		../../../../qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		../../../../qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		../../../../qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		../../../../qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		../../../../qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/home/ianare/qtsdk-2010.02/qt/lib/libQtGui.prl \
		/home/ianare/qtsdk-2010.02/qt/lib/libQtCore.prl
	$(QMAKE) -spec ../../../../qtsdk-2010.02/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o Makefile TipQalc.pro
../../../../qtsdk-2010.02/qt/mkspecs/common/g++.conf:
../../../../qtsdk-2010.02/qt/mkspecs/common/unix.conf:
../../../../qtsdk-2010.02/qt/mkspecs/common/linux.conf:
../../../../qtsdk-2010.02/qt/mkspecs/qconfig.pri:
../../../../qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf:
../../../../qtsdk-2010.02/qt/mkspecs/features/qt_config.prf:
../../../../qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf:
../../../../qtsdk-2010.02/qt/mkspecs/features/default_pre.prf:
../../../../qtsdk-2010.02/qt/mkspecs/features/debug.prf:
../../../../qtsdk-2010.02/qt/mkspecs/features/default_post.prf:
../../../../qtsdk-2010.02/qt/mkspecs/features/warn_on.prf:
../../../../qtsdk-2010.02/qt/mkspecs/features/qt.prf:
../../../../qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf:
../../../../qtsdk-2010.02/qt/mkspecs/features/moc.prf:
../../../../qtsdk-2010.02/qt/mkspecs/features/resources.prf:
../../../../qtsdk-2010.02/qt/mkspecs/features/uic.prf:
../../../../qtsdk-2010.02/qt/mkspecs/features/yacc.prf:
../../../../qtsdk-2010.02/qt/mkspecs/features/lex.prf:
/home/ianare/qtsdk-2010.02/qt/lib/libQtGui.prl:
/home/ianare/qtsdk-2010.02/qt/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec ../../../../qtsdk-2010.02/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o Makefile TipQalc.pro

dist: 
	@$(CHK_DIR_EXISTS) ../build/tipqalc1.0.0 || $(MKDIR) ../build/tipqalc1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../build/tipqalc1.0.0/ && $(COPY_FILE) --parents tipqalc.h numberpad.h settingsdialog.h aboutdialog.h ../build/tipqalc1.0.0/ && $(COPY_FILE) --parents resources.qrc ../build/tipqalc1.0.0/ && $(COPY_FILE) --parents main.cpp tipqalc.cpp numberpad.cpp settingsdialog.cpp aboutdialog.cpp ../build/tipqalc1.0.0/ && $(COPY_FILE) --parents tipqalc.ui numberpad.ui settingsdialog.ui aboutdialog.ui ../build/tipqalc1.0.0/ && (cd `dirname ../build/tipqalc1.0.0` && $(TAR) tipqalc1.0.0.tar tipqalc1.0.0 && $(COMPRESS) tipqalc1.0.0.tar) && $(MOVE) `dirname ../build/tipqalc1.0.0`/tipqalc1.0.0.tar.gz . && $(DEL_FILE) -r ../build/tipqalc1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


debian-all: debian-src debian-bin

debian-src:
	dpkg-buildpackage -S -r -us -uc -d

debian-bin:
	dpkg-buildpackage -b -r -uc -d

compiler_clean:
	-$(DEL_FILE) $(TARGET)

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: ../build/moc_tipqalc.cpp ../build/moc_numberpad.cpp ../build/moc_settingsdialog.cpp ../build/moc_aboutdialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) ../build/moc_tipqalc.cpp ../build/moc_numberpad.cpp ../build/moc_settingsdialog.cpp ../build/moc_aboutdialog.cpp
../build/moc_tipqalc.cpp: numberpad.h \
		settingsdialog.h \
		aboutdialog.h \
		tipqalc.h
	/home/ianare/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) tipqalc.h -o ../build/moc_tipqalc.cpp

../build/moc_numberpad.cpp: numberpad.h
	/home/ianare/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) numberpad.h -o ../build/moc_numberpad.cpp

../build/moc_settingsdialog.cpp: settingsdialog.h
	/home/ianare/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) settingsdialog.h -o ../build/moc_settingsdialog.cpp

../build/moc_aboutdialog.cpp: aboutdialog.h
	/home/ianare/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) aboutdialog.h -o ../build/moc_aboutdialog.cpp

compiler_rcc_make_all: qrc_resources.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_resources.cpp
qrc_resources.cpp: resources.qrc \
		img/tipqalc.png
	/home/ianare/qtsdk-2010.02/qt/bin/rcc -name resources resources.qrc -o qrc_resources.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ../build/ui_tipqalc.h ../build/ui_numberpad.h ../build/ui_settingsdialog.h ../build/ui_aboutdialog.h
compiler_uic_clean:
	-$(DEL_FILE) ../build/ui_tipqalc.h ../build/ui_numberpad.h ../build/ui_settingsdialog.h ../build/ui_aboutdialog.h
../build/ui_tipqalc.h: tipqalc.ui \
		numberpad.h
	/home/ianare/qtsdk-2010.02/qt/bin/uic tipqalc.ui -o ../build/ui_tipqalc.h

../build/ui_numberpad.h: numberpad.ui
	/home/ianare/qtsdk-2010.02/qt/bin/uic numberpad.ui -o ../build/ui_numberpad.h

../build/ui_settingsdialog.h: settingsdialog.ui
	/home/ianare/qtsdk-2010.02/qt/bin/uic settingsdialog.ui -o ../build/ui_settingsdialog.h

../build/ui_aboutdialog.h: aboutdialog.ui
	/home/ianare/qtsdk-2010.02/qt/bin/uic aboutdialog.ui -o ../build/ui_aboutdialog.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 

####### Compile

../build/main.o: main.cpp tipqalc.h \
		numberpad.h \
		settingsdialog.h \
		aboutdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../build/main.o main.cpp

../build/tipqalc.o: tipqalc.cpp tipqalc.h \
		numberpad.h \
		settingsdialog.h \
		aboutdialog.h \
		../build/ui_tipqalc.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../build/tipqalc.o tipqalc.cpp

../build/numberpad.o: numberpad.cpp numberpad.h \
		../build/ui_numberpad.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../build/numberpad.o numberpad.cpp

../build/settingsdialog.o: settingsdialog.cpp settingsdialog.h \
		../build/ui_settingsdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../build/settingsdialog.o settingsdialog.cpp

../build/aboutdialog.o: aboutdialog.cpp aboutdialog.h \
		../build/ui_aboutdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../build/aboutdialog.o aboutdialog.cpp

../build/moc_tipqalc.o: ../build/moc_tipqalc.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../build/moc_tipqalc.o ../build/moc_tipqalc.cpp

../build/moc_numberpad.o: ../build/moc_numberpad.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../build/moc_numberpad.o ../build/moc_numberpad.cpp

../build/moc_settingsdialog.o: ../build/moc_settingsdialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../build/moc_settingsdialog.o ../build/moc_settingsdialog.cpp

../build/moc_aboutdialog.o: ../build/moc_aboutdialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../build/moc_aboutdialog.o ../build/moc_aboutdialog.cpp

../build/qrc_resources.o: qrc_resources.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../build/qrc_resources.o qrc_resources.cpp

####### Install
