=== debian/changelog ===
tipqalc (0.7.1) unstable; urgency=low

  * Slight changes to rounding calculations.
  * Hopefully less dependencies when built using the autobuilder.

 -- ianaré sévi <ianare@gmail.com>  Mon, 19 Apr 2010 21:31:40 -0400 
 
