## tipqalc 0.7.2

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: ../build/tipqalc
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Apr 19 21:29:01 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Apr 20 00:37:48 2010
 # Project:  TipQalc.pro
 # Template: app
 # Command: /home/ianare/qtsdk-2010.02/qt/bin/qmake -spec ../../../../qtsdk-2010.02/qt/mkspecs/linux-g++-64 -unix CONFIG+=debug -o Makefile TipQalc.pro
