=== debian/changelog ===
tipqalc (0.7.2) unstable; urgency=low

  * Change edit lines to labels for tip & persons.
  * Add upper limit of 99 for tip & persons.

 -- ianaré sévi <ianare@gmail.com>  Tue, 20 Apr 2010 00:49:53 -0400 
 
 tipqalc (0.7.1) unstable; urgency=low

  * Slight changes to rounding calculations.
  * Hopefully less dependencies when built using the autobuilder.

 -- ianaré sévi <ianare@gmail.com>  Mon, 19 Apr 2010 21:31:40 -0400 
 
